#version 450 core

#pragma include ./shared.glsl

layout (location = 0) in vec2 inPosition;
layout (location = 1) in vec2 inDirection;
layout (location = 2) in vec4 inColor;
layout (location = 3) in int  inTexture;

out VertexData vertexData;

void main() {
    vertexData.pos     = inPosition;
    vertexData.dir     = inDirection;
    vertexData.color   = inColor;
    vertexData.texture = inTexture;
}
