use serde::{Deserialize, Serialize};
use specs::{Component, NullStorage};

use crate::misc::FlaggedStorage;

#[derive(Clone, Debug, Default, Serialize, Deserialize)]
pub struct Planet {}

impl Component for Planet {
    type Storage = FlaggedStorage<Self, NullStorage<Self>>;
}
